/*!
 * Rewrite `function {}` as lambdas (=>) 🥊  @tko/utils.functionrewrite@4.0.0-alpha6.8
 * (c) The Knockout.js Team - https://tko.io
 * License: MIT (http://www.opensource.org/licenses/mit-license.php)
 */

/**
 * This is a BindingString subclass that converts `function () {}` to lambas,
 * for backwards compatibility.
 *
 */

const FUNCTION_REX = /\bfunction\s*\(([^)]*)\)\s*{\s*(?:return\s+([^}]+?)\s*)?}/g;

function functionRewrite (bindingString) {
  return bindingString.replace(FUNCTION_REX, (match, args, rv) => {
    if (!functionRewrite.silent) {
      console.log(`Knockout: Replace "${match}" with "=> ${rv}"`);
    }
    return `(${args.trim()}) => ${rv}`
  })
}

export { functionRewrite };
//# sourceMappingURL=utils.functionrewrite.es6.js.map
